Error in Berkeley DB-4.4.20

Ruben D. Valverde M. ruben at proeibandes.org
Tue Aug 1 15:01:17 PDT 2006


well I don't have any idea what's going on.

I'll rebuild the tool and begin againg.

Thanks

Regards(Saludos)
Ruben.

On Tue, 1 Aug 2006, Dan Nicholson wrote:

> On 8/1/06, Ruben D. Valverde M. <ruben at proeibandes.org> wrote:
>> Hi, everybody
>> 
>> I am compiling Berkeley DB-4.4.20 and I have this error.
>> 
>> ---------------------------------------------------------
>> /usr/lib/gcc/i686-pc-linux-gnu/4.0.3/../../../../include/c++/4.0.3/backward/backward_warning.h:32:2:
>> warning: #warning This file includes at least one deprecated or antiquated
>> header. Please consider using one of the 32 headers found in section
>> 17.4.1.2 of the C++ standard. Examples include substituting the <X> header
>> for the <X.h> header for C++ includes, or <iostream> instead of the
>> deprecated header <iostream.h>. To disable this warning use
>> -Wno-deprecated.
>> In file included from ../dist/../cxx/cxx_db.cpp:15:
>> ./db_cxx.h:61:23: error: exception.h: No such file or directory
>
> That's odd. I didn't get any warnings about using deprecated c++
> headers when building db.
>
> I think something has gone wrong building the C++ compiler in gcc.
> When you run the configure for db-4.4.20, what does it say about
> "checking whether C++ supports the ISO C++ standard includes"? It
> should say "yes". If you fail that, then the build will try to include
> deprecated headers.
>
> --
> Dan
> -- 
> http://linuxfromscratch.org/mailman/listinfo/lfs-support
> FAQ: http://www.linuxfromscratch.org/lfs/faq.html
> Unsubscribe: See the above information page
>



More information about the lfs-support mailing list